curl --request GET \
--url https://api.app.hrizn.io/v1/public/content \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.app.hrizn.io/v1/public/content"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.hrizn.io/v1/public/content",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"article_type": "basic",
"status": "generating",
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"content_intent": "<string>",
"target_audience": "<string>",
"funnel_stage": "<string>",
"content_lifespan": "<string>",
"search_intent_type": "<string>"
}
],
"pagination": {
"has_more": true,
"next_cursor": "<string>",
"total_count": 123
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}List content
Authorizations
Your Hrizn API key (prefix hzk_)
Query Parameters
Number of results per page
1 <= x <= 100Base64-encoded pagination cursor
Filter by article type
basic, qa, expert, modellanding, comparison, salesevent, enhancedcontent Filter by content intent (fixed_ops, variable, general)
Filter by target audience (in_market_buyer, service_customer, owner, general_public, enthusiast)
Filter by funnel stage (awareness, consideration, decision, retention)
Filter by content lifespan (evergreen, seasonal, time_bound)
Filter by search intent type (informational, commercial, transactional, navigational)
Response
Paginated list of content
Hide child attributes
Hide child attributes
basic, qa, expert, modellanding, comparison, salesevent, enhancedcontent Content generation status
generating, complete, failed Content intent classification (fixed_ops, variable, general)
Target audience (in_market_buyer, service_customer, owner, general_public, enthusiast)
Buyer journey funnel stage (awareness, consideration, decision, retention)
Content lifespan type (evergreen, seasonal, time_bound)
Search intent type (informational, commercial, transactional, navigational)
